Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » DSDP - Mobile Tools for Java (MTJ) » External JAR File
External JAR File [message #23600] Tue, 02 December 2008 02:45 Go to next message
Christoph Sieghart is currently offline Christoph SieghartFriend
Messages: 4
Registered: July 2009
Junior Member
Hello,

first of all thanks for investing so much time and doing such a great
job with MTJ.

I can write some "HelloWorld" code and deploy it to the mobile without
a problem.

I start having problems when I include an external JAR file. I have added
it
correctly in "Libraries" and checked it in "Order and Export". When I
don't use the external JAR in my code, everything works fine. When I
start using it, I get an the following error message:

ALERT: java/lang/ClassFormatError: Bad version information.

The external jar file I am trying to use is
qrcode(http://qrcode.sourceforge.jp).
I have set the "Compile Compliance Level" to 1.4, but that doesn't change a
thing.

I have a hunch that says, that the external jar is in an incompatible
format, but
how can I turn it into a compatible one?

I am using the following software versions:

Eclipse: 3.4.1
MJT: 0.9.0
Java: 1.5.0_16

best regards,
sigi
Re: External JAR File [message #23643 is a reply to message #23600] Tue, 02 December 2008 16:29 Go to previous messageGo to next message
David Marques is currently offline David MarquesFriend
Messages: 80
Registered: July 2009
Member
Hello sigi,

The problem really seems to be the fact that your external library is
compiled with an unsupported class version. The library must be compiled
in a 1.3 class version so it can be used in a Java ME application. So you
should compile the sources into a 1.3 compatible class version to be able
to use it.

Best Regards,

David Marques
Re: External JAR File [message #23686 is a reply to message #23643] Tue, 02 December 2008 17:35 Go to previous message
Christoph Sieghart is currently offline Christoph SieghartFriend
Messages: 4
Registered: July 2009
Junior Member
David Marques wrote:
> The problem really seems to be the fact that your external library is
> compiled with an unsupported class version. The library must be compiled
> in a 1.3 class version so it can be used in a Java ME application. So you
> should compile the sources into a 1.3 compatible class version to be able

Yes, that was the problem and recompiling the library fixed it.

best regards,
Christoph
Re: External JAR File [message #568872 is a reply to message #23600] Tue, 02 December 2008 16:29 Go to previous message
David Marques is currently offline David MarquesFriend
Messages: 80
Registered: July 2009
Member
Hello sigi,

The problem really seems to be the fact that your external library is
compiled with an unsupported class version. The library must be compiled
in a 1.3 class version so it can be used in a Java ME application. So you
should compile the sources into a 1.3 compatible class version to be able
to use it.

Best Regards,

David Marques
Re: External JAR File [message #568893 is a reply to message #23643] Tue, 02 December 2008 17:35 Go to previous message
Christoph Sieghart is currently offline Christoph SieghartFriend
Messages: 4
Registered: July 2009
Junior Member
David Marques wrote:
> The problem really seems to be the fact that your external library is
> compiled with an unsupported class version. The library must be compiled
> in a 1.3 class version so it can be used in a Java ME application. So you
> should compile the sources into a 1.3 compatible class version to be able

Yes, that was the problem and recompiling the library fixed it.

best regards,
Christoph
Previous Topic:External JAR File
Next Topic:Question about itemStateChanged handler
Goto Forum:
  


Current Time: Sun Nov 23 17:28:56 GMT 2014

Powered by FUDForum. Page generated in 0.01817 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software